import sys
import math

curtest = 1

was = set()

def test(n, a, b):
    global curtest
    global was
    f = open("%02d" % curtest, "w")
    print(n, file=f)
    print(a, file=f)
    print(b, file=f)
    f.close()
    print(n, a, b)
    curtest += 1

import random
random.seed("ilash")

# sample test
test(9, 2, 3)

# group 1, a = 0
test(1, 0, 0)
test(11, 0, 0)
test(11, 0, 5)
test(201, 0, 0)
test(201, 0, 17)
test(201, 0, 101)
test(101, 0, 33)

# group 2, a = 1
test(3, 1, 1)
test(11, 1, 1)
test(11, 1, 5)
test(201, 1, 1)
test(201, 1, 17)
test(201, 1, 101)
test(101, 1, 33)

# group 3, a = b
test(7, 1, 1)
test(11, 3, 3)
test(11, 6, 6)
test(201, 7, 7)
test(201, 17, 17)
test(201, 101, 101)
test(101, 33, 33)

# group 4, a <= b
test(7, 1, 3)
test(11, 3, 6)
test(11, 4, 5)
test(201, 7, 37)
test(201, 17, 53)
test(201, 11, 101)
test(101, 23, 33)

for i in range(10):
	k = random.randint(0, 100)
	n = 2 * k + 1
	a = random.randint(0, k + 1)
	b = random.randint(a, k + 1)
	test(n, a, b)
