#include "testlib.h"
#include <string>

using namespace std;

int main(int argc, char* argv[])
{
    registerValidation(argc, argv);

    int g = validator.group() == "" ? 4 : validator.group()[0] - '0';

    int n = inf.readInt(1, 201, "n");
    ensuref(n % 2 == 1, "n must be odd");
    inf.readEoln();
    int a = inf.readInt(0, (n + 1) / 2, "a");
    inf.readEoln();
    int b = inf.readInt(a, (n + 1) / 2, "b");
    inf.readEoln();
    inf.readEof();

    if (g == 1) {
	    ensuref(a == 0, "group 1 a must be 0");
	}
	if (g == 2) {
	    ensuref(a == 1, "group 2 a must be 1");
	}
	if (g == 3) {
	    ensuref(a == b, "group 3 a must be equal to b");
	}

    return 0;
}