#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

const int MAXN = 1000;
const int MINW = 30000;
const int MAXW = 200000;

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int g = validator.group() == "" ? 4 : validator.group()[0] - '0';

    int n = inf.readInt(1, MAXN, "n");
    inf.readEoln();
    vector<int> a = inf.readInts(n, 0, 1, "a");
    inf.readEoln();
    for (int i = 0; i < n; i++) {
        int x = inf.readInt(MINW, MAXW, "x");
        inf.readSpace();
        int y = inf.readInt(MINW, MAXW, "y");
        inf.readEoln();
        if (g == 3) {
            ensuref(x <= y, "in group 3 only gain weight");
        }
    }
    inf.readEof();

    if (g == 1) {
        ensuref(n == 1, "n must be equal to 1");
    }

    if (g == 2) {
        int cnt = 0;
        for (int x : a) {
            if (x == 1) {
                cnt++;
            }
        }
        ensuref(cnt <= 1, "there must be at most one training in group2, but there are %d", cnt);
    }

    return 0;
}                          


